Bug 1013339 - Man pages are not recognized by desktop
Man pages are not recognized by desktop
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 07:48 EDT by Alec Leamas
Modified: 2016-07-19 06:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:26:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
manpage rules that works for me. (1.83 KB, text/xml)
2013-10-02 14:46 EDT, Alec Leamas
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 709032 None None None Never

  None (edit)
Description Alec Leamas 2013-09-29 07:48:27 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:Always


Steps to Reproduce:
1.Click on a manpage in e. g. Nautilus


Actual results:

See the troff source in default text tool (gedit as distributed)
Expected results:
See the manpage in yelp (or other suitable tool)

Additional info:

One can not use the Nautilus Properties|Open With| Set as Default since the miem-type of a manpage is text (and making e. g., yelp as the default text tool sn't really an option).

More info in upstream bug
Comment 1 Alec Leamas 2013-09-29 07:57:57 EDT
BTW, the usecase is not really a novice user browsing /usr/share/man/man1, that's not really that common I guess. It's about GUI applications which bundles a manpage and wants a simple Help|Manpage option without the need to specify the tool used view the manpage. I. e., it should be possible to just use 'xdg-open /wherever/my-app.1' and it should just work (tm).
Comment 2 Alec Leamas 2013-10-02 14:46:41 EDT
Created attachment 806675 [details]
manpage rules that works for me.

Attaching some rules which works for me (tm). Here are cave-eats:
- More than 30 paths for the different manpages. However, when I try I cannot get anything like *.[0-9].gz to work. (glob rule underspecified?)
- The large offset is also inefficient but needed for manpages with a large preamble e.g., the perl pod-generated ones.
- I cannot get the obvious attempt to use treematch with something like /man/man*/*.gz to work. Actually, treematch looks broken: freedesktop.xml contains a rule for files named VIDEO_TS.IFO, but these files are not classified as  expected (x-content/video-dvd). But use of wildcards in treematch is not really specified either (?)
Comment 3 Alec Leamas 2013-10-03 03:05:03 EDT
See also bug 1014936
Comment 4 Alec Leamas 2013-10-03 03:32:51 EDT
See also bug 1014946.
Comment 5 Jaroslav Reznik 2015-03-03 10:06:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Fedora End Of Life 2016-07-19 06:26:54 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.